package com.rjconsultores.ventaboletos.web.gui.controladores.gr;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Aidf;

public class AidfListItemRenderer implements ListitemRenderer {
	
	@Override
	public void render(Listitem listItem, Object _aidf) throws Exception {
		Aidf aidf = (Aidf)_aidf;

		Listcell idCell =  new Listcell(aidf.getAidfId().toString());
		idCell.setParent(listItem);
		
		Listcell especieCell =  new Listcell(aidf.getAidfEspecie().toString());
		especieCell.setParent(listItem);
		
		Listcell tipoCell =  new Listcell(aidf.getAidfTipo().toString());
		tipoCell.setParent(listItem);
		
		Listcell estadoCell =  new Listcell(aidf.getEstado().toString());
		estadoCell.setParent(listItem);
		
		Listcell empresaCell =  new Listcell(aidf.getEmpresa().toString());
		empresaCell.setParent(listItem);
		
		Listcell inscEstadualCell =  new Listcell(aidf.getInscestadual());
		inscEstadualCell.setParent(listItem);
		
		Listcell docFiscalCell =  new Listcell(aidf.getDocfiscal());
		docFiscalCell.setParent(listItem);
		
		Listcell acFiscalCell =  new Listcell(aidf.getAcfiscal());
		acFiscalCell.setParent(listItem);
				
		Listcell serieCell =  new Listcell(aidf.getSerie());
		serieCell.setParent(listItem);
		
		Listcell subserieCell =  new Listcell(aidf.getSubserie());
		subserieCell.setParent(listItem);
		
		Listcell formInicialCell =  new Listcell(aidf.getForminicial());
		formInicialCell.setParent(listItem);
		
		Listcell formFinalCell =  new Listcell(aidf.getFormfinal());
		formFinalCell.setParent(listItem);
				
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		
		Listcell fecadquisicionCell =  new Listcell(aidf.getFecadquisicion() != null ? sdf.format(aidf.getFecadquisicion()) : null);
		fecadquisicionCell.setParent(listItem);
		
		Listcell fecvencimientoCell =  new Listcell(sdf.format(aidf.getFecvencimiento()));
		fecvencimientoCell.setParent(listItem);
		
		listItem.setAttribute("data", aidf);
		
	}

}
